diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/s_cr.c ircd-hybrid-6.0/src/s_cr.c
--- ircd-hybrid-6.0.orig/src/s_cr.c	Wed Jun 20 03:42:17 2001
+++ ircd-hybrid-6.0/src/s_cr.c	Wed Jun 20 02:39:08 2001
@@ -34,7 +34,7 @@
   strncpy_irc(cptr->name, n_conf->name, HOSTLEN);
   strcpy(cptr->passwd, chall);
   SetChallenged(cptr);
-  sendto_ops("Sent password challenge to %s", cptr->name);
+  sendto_ops_flag(UMODE_DEBUG, "Sent password challenge to %s", cptr->name);
 }
 
 void cr_hashstring(char * src, char * trg) {
@@ -57,7 +57,7 @@
   cr_hashstring(work, hash);
   sendto_one(cptr, "RESP %s", hash);
   SetResponded(cptr);
-  sendto_ops("Sent password response to %s", cptr->name);
+  sendto_ops_flag(UMODE_DEBUG, "Sent password response to %s", cptr->name);
 }
 
 void cr_gotresponse(struct Client * cptr, char * resp) {
@@ -70,9 +70,9 @@
     cr_hashstring(work, hash);
     if (!strcmp(resp, hash)) {
       strncpy_irc(cptr->passwd, n_conf->passwd, PASSWDLEN);
-      sendto_ops("Got a good password response from %s", cptr->name);
+      sendto_ops_flag(UMODE_SEEROUTING, "Got a good password response from %s", cptr->name);
     } else {
-      sendto_ops("Failed password response from %s", cptr->name);
+      sendto_ops_flag(UMODE_SEEROUTING, "Failed password response from %s", cptr->name);
     }
   }
 }
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/s_serv.c ircd-hybrid-6.0/src/s_serv.c
--- ircd-hybrid-6.0.orig/src/s_serv.c	Wed Jun 20 03:42:17 2001
+++ ircd-hybrid-6.0/src/s_serv.c	Wed Jun 20 02:57:31 2001
@@ -288,9 +288,9 @@
        * auto connects disabled, send message to ops and bail
        */
       if (connecting)
-        sendto_ops("Connection to %s[%s] not activated.",
+        sendto_ops_flag(UMODE_SEEROUTING, "Connection to %s[%s] not activated.",
                  con_conf->name, con_conf->host);
-      sendto_ops("WARNING AUTOCONN is 0, autoconns are disabled");
+      sendto_ops_flag(UMODE_SERVNOTICE, "WARNING AUTOCONN is 0, autoconns are disabled");
       Debug((DEBUG_NOTICE,"Next connection check : %s", myctime(next)));
       return next;
     }
@@ -312,16 +312,20 @@
         }
       if (!(con_conf->flags & CONF_FLAGS_ALLOW_AUTO_CONN))
         {
-          sendto_realops("Connection to %s[%s] not activated, autoconn is off.",
+          sendto_ops_flag(UMODE_SEEROUTING,"Connection to %s[%s] not activated, autoconn is off.",
                      con_conf->name, con_conf->host);
-          sendto_realops("WARNING AUTOCONN on %s[%s] is disabled",
+          sendto_ops_flag(UMODE_SEEROUTING,"WARNING AUTOCONN on %s[%s] is disabled",
                      con_conf->name, con_conf->host);
         }
       else
         {
           if (connect_server(con_conf, 0, 0))
-            sendto_realops("Connection to %s[%s] activated.",
-                       con_conf->name, con_conf->host);
+	    {
+	      sendto_ops_flag(UMODE_SEEROUTING,"Connection to %s[%s] activated.",
+			      con_conf->name, con_conf->host);
+	      sendto_ops_flag(UMODE_SERVNOTICE,"Attempting connection to %s",
+			      con_conf->name);
+	    }
         }
     }
   Debug((DEBUG_NOTICE,"Next connection check : %s", myctime(next)));
@@ -549,7 +553,7 @@
       ServerStats->is_ref++;
       sendto_one(cptr,
                  "ERROR :Access denied. No N line for server %s", inpath);
-      sendto_ops("Access denied. No N line for server %s", inpath);
+      sendto_ops_flag(UMODE_SERVNOTICE, "Access denied. No N line for server %s", inpath);
       log(L_NOTICE, "Access denied. No N line for server %s", inpath_ip);
       return exit_client(cptr, cptr, cptr, "No N line for server");
     }
@@ -557,7 +561,7 @@
     {
       ServerStats->is_ref++;
       sendto_one(cptr, "ERROR :Only N (no C) field for server %s", inpath);
-      sendto_realops("Only N (no C) field for server %s",inpath);
+      sendto_ops_flag(UMODE_SERVNOTICE,"Only N (no C) field for server %s",inpath);
       log(L_NOTICE, "Only N (no C) field for server %s",inpath_ip);
       return exit_client(cptr, cptr, cptr, "No C line for server");
     }
@@ -565,7 +569,7 @@
 #ifdef CHALLENGERESPONSE
   if (!Responded(cptr)) {
 # ifndef CHALLENGERESPONSE_FALLBACK
-    sendto_realops("Access denied (plaintext password) %s", inpath);
+    sendto_ops_flag(UMODE_SERVNOTICE,"Access denied (plaintext password) %s", inpath);
     return exit_client(cptr, cptr, cptr, "Non CR server");
 # else
 #  ifdef CRYPT_LINK_PASSWORD
@@ -607,7 +611,7 @@
       ServerStats->is_ref++;
       sendto_one(cptr, "ERROR :No Access (md5 passwd mismatch) %s",
                  inpath);
-      sendto_realops("Access denied (md5 passwd mismatch) %s", inpath);
+      sendto_ops_flag(UMODE_SERVNOTICE,"Access denied (md5 passwd mismatch) %s", inpath);
       log(L_NOTICE, "Access denied (md5 passwd mismatch) %s", inpath_ip);
       return exit_client(cptr, cptr, cptr, "Bad Password");
     }
@@ -617,7 +621,7 @@
   SetGotId(cptr);
 
   if (!IsCapable(cptr, CAP_OPN)) {
-      sendto_ops("Access denied (not an OPN hax0red server) %s", inpath);
+      sendto_ops_flag(UMODE_SERVNOTICE, "Access denied (not an OPN hax0red server) %s", inpath);
       return exit_client(cptr, cptr, cptr, "Insufficient Capabilities");
     }
 #ifndef HUB
@@ -666,7 +670,7 @@
       if (!match(n_conf->user, cptr->username))
         {
           ServerStats->is_ref++;
-          sendto_realops("Username mismatch [%s]v[%s] : %s",
+          sendto_ops_flag(UMODE_SERVNOTICE,"Username mismatch [%s]v[%s] : %s",
                      n_conf->user, cptr->username,
                      get_client_name(cptr, FALSE));
           sendto_one(cptr, "ERROR :No Username Match");
@@ -681,7 +685,7 @@
       if (zip_init(cptr) == -1)
         {
           zip_free(cptr);
-          sendto_realops("Unable to setup compressed link for %s",
+          sendto_ops_flag(UMODE_SERVNOTICE,"Unable to setup compressed link for %s",
                       get_client_name(cptr, FALSE));
           return exit_client(cptr, cptr, &me, "zip_init() failed");
         }
@@ -729,8 +733,9 @@
 
   nextping = CurrentTime;
   /* ircd-hybrid-6 can do TS links, and  zipped links*/
-  sendto_ops("Link with %s established: %s",
-             inpath,show_capabilities(cptr));
+  sendto_ops_flag_butone(cptr, UMODE_SEEROUTING, "Link with %s established: %s",
+		  inpath,show_capabilities(cptr));
+  sendto_ops_flag_butone_hidefrom(cptr, UMODE_SERVNOTICE, "%s is linking to the network", cptr->name);
   log(L_NOTICE, "Link with %s established: (%s) link",
              inpath_ip,show_capabilities(cptr));
 
@@ -882,7 +887,7 @@
   ** they are slightly incorrect because of cptr->zip->outbuf.
   */
   if ((cptr->flags2 & FLAGS2_ZIP) && cptr->zip->out->total_in)
-    sendto_realops("Connect burst to %s: %lu, compressed: %lu (%3.1f%%)",
+    sendto_ops_flag(UMODE_SERVNOTICE,"Connect burst to %s: %lu, compressed: %lu (%3.1f%%)",
                 get_client_name(cptr, FALSE),
                 cptr->zip->out->total_in,cptr->zip->out->total_out,
                 (100.0*(float)cptr->zip->out->total_out) /
@@ -921,7 +926,7 @@
       else
         aconf->flags &= ~CONF_FLAGS_ALLOW_AUTO_CONN;
 
-      sendto_realops(
+      sendto_ops_flag(UMODE_SERVNOTICE,
                  "%s has changed AUTOCONN for %s to %i",
                  parv0, name, newval);
       sendto_one(sptr,
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/s_user.c ircd-hybrid-6.0/src/s_user.c
--- ircd-hybrid-6.0.orig/src/s_user.c	Wed Jun 20 03:42:17 2001
+++ ircd-hybrid-6.0/src/s_user.c	Tue Jun 19 16:50:08 2001
@@ -228,41 +228,41 @@
         {
           if (m_server != Count.myserver)
             {
-              sendto_realops_flag(UMODE_DEBUG,
+              sendto_ops_flag(UMODE_DEBUG,
                                   "Local server count off by %d ",
 				  Count.myserver - m_server);
               Count.myserver = m_server;
             }
           if (s_count != Count.server)
             {
-              sendto_realops_flag(UMODE_DEBUG,
+              sendto_ops_flag(UMODE_DEBUG,
 				  "Server count off by %d",
 				  Count.server - s_count);
               Count.server = s_count;
             }
           if (i_count != Count.invisi)
             {
-              sendto_realops_flag(UMODE_DEBUG,
+              sendto_ops_flag(UMODE_DEBUG,
 				  "Invisible client count off by %d",
 				  Count.invisi - i_count);
               Count.invisi = i_count;
             }
           if ((c_count+i_count) != Count.total)
             {
-              sendto_realops_flag(UMODE_DEBUG, "Total client count off by %d",
+              sendto_ops_flag(UMODE_DEBUG, "Total client count off by %d",
 				  Count.total - (c_count+i_count));
               Count.total = c_count+i_count;
             }
           if (m_client != Count.local)
             {
-              sendto_realops_flag(UMODE_DEBUG,
+              sendto_ops_flag(UMODE_DEBUG,
 				  "Local client count off by %d",
 				  Count.local - m_client);
               Count.local = m_client;
             }
           if (o_count != Count.oper)
             {
-              sendto_realops_flag(UMODE_DEBUG,
+              sendto_ops_flag(UMODE_DEBUG,
 				  "Oper count off by %d", Count.oper - o_count);
               Count.oper = o_count;
             }
@@ -487,7 +487,7 @@
 
         case I_LINE_FULL:
         case I_LINE_FULL2:
-          sendto_realops_flag(UMODE_FULL, "%s for %s (%s).",
+          sendto_ops_flag(UMODE_FULL, "%s for %s (%s).",
 			      "I-line is full",
 			      get_client_host(sptr),
 			      inetntoa((char*) &sptr->ip));
@@ -515,7 +515,7 @@
               ServerStats->is_ref++;
 	/* jdc - lists server name & port connections are on */
 	/*       a purely cosmetical change */
-              sendto_realops_flag(UMODE_CCONN,
+              sendto_ops_flag(UMODE_CCONN,
 				  "%s from %s [%s] on [%s/%u].",
 				  "Unauthorized client connection",
 				  get_client_host(sptr),
@@ -632,7 +632,7 @@
           ((Count.local + 1) >= (MAXCLIENTS+MAX_BUFFER))) ||
             (((Count.local +1) >= (MAXCLIENTS - 5)) && !(IsFlined(sptr))))
         {
-          sendto_realops_flag(UMODE_FULL,
+          sendto_ops_flag(UMODE_FULL,
                                "Too many clients, rejecting %s[%s].",
                                nick, sptr->host);
           ServerStats->is_ref++;
@@ -645,14 +645,14 @@
         {
           if(IsBlined(sptr))
             {
-              sendto_ops_flag_butone(NULL, UMODE_BOTS,
+              sendto_ops_flag(UMODE_BOTS,
 				     "Possible %s: %s (%s@%s) [B-lined]",
 				     type_of_bot[sptr->isbot],
 				     sptr->name, sptr->username, sptr->host);
             }
           else
             {
-              sendto_realops_flag(UMODE_BOTS, "Rejecting %s: %s",
+              sendto_ops_flag(UMODE_BOTS, "Rejecting %s: %s",
 				  type_of_bot[sptr->isbot],
 				  get_client_name(sptr,FALSE));
               ServerStats->is_ref++;
@@ -666,7 +666,7 @@
 
       if (!valid_username(sptr->username))
         {
-          sendto_realops_flag(UMODE_REJ,"Invalid username: %s (%s@%s)",
+          sendto_ops_flag(UMODE_REJ,"Invalid username: %s (%s@%s)",
 			      nick, sptr->username, sptr->host);
           ServerStats->is_ref++;
           ircsprintf(tmpstr2, "Invalid username [%s]", sptr->username);
@@ -689,7 +689,7 @@
                 {
                   if (aconf->port == 1)
                     {
-                      sendto_realops_flag(UMODE_REJ,
+                      sendto_ops_flag(UMODE_REJ,
 					  "X-line Rejecting [%s] [%s], user %s",
 					  sptr->info,
 					  reason,
@@ -699,7 +699,7 @@
                   return exit_client(cptr, sptr, &me, "Bad user info");
                 }
               else
-                sendto_ops_flag_butone(NULL, UMODE_REJ,
+                sendto_ops_flag(UMODE_REJ,
 				       "X-line Warning [%s] [%s], user %s",
 				       sptr->info,
 				       reason,
@@ -707,7 +707,7 @@
             }
          }
 
-      sendto_ops_flag_butone(NULL, UMODE_CCONN,
+      sendto_ops_flag(UMODE_CCONN,
 			     "Client connecting: %s (%s@%s) [%s] {%d} [%s]",
 			     nick, sptr->username, sptr->host,
 			     inetntoa((char *)&sptr->ip),
@@ -717,8 +717,8 @@
         {
           Count.max_loc = Count.local;
           if (!(Count.max_loc % 10))
-            sendto_ops("New local record: %d users",
-                       Count.max_loc);
+            sendto_ops_flag(UMODE_SERVNOTICE, "New local record: %d users",
+				   Count.max_loc);
         }
     }
   else
@@ -729,7 +729,7 @@
   sptr->servptr = find_server(user->server);
   if (!sptr->servptr)
     {
-      sendto_realops("Ghost killed: %s on invalid server %s",
+      sendto_ops_flag(UMODE_SERVNOTICE,"Ghost killed: %s on invalid server %s",
                  sptr->name, sptr->user->server);
       sendto_one(cptr,":%s KILL %s :%s (Ghosted, %s doesn't exist)",
                  me.name, sptr->name, me.name, user->server);
@@ -739,7 +739,7 @@
   add_client_to_llist(&(sptr->servptr->serv->users), sptr);
 
   if (MyConnect(sptr) && (sptr->username[0] == '~' || isdigit(sptr->host[0])))
-    sendto_ops_flag_butone(NULL, UMODE_CCONN,
+    sendto_ops_flag(UMODE_CCONN,
 			   "Auth warning on %s (%s@%s) %s%s",
 			   sptr->name, sptr->username, sptr->host,
 			   (sptr->username[0] == '~') ? "[ident fail] " : "",
@@ -826,7 +826,7 @@
       aClient *acptr;
       if ((acptr = find_server(user->server)) && acptr->from != sptr->from)
         {
-          sendto_realops_flag(UMODE_DEBUG, 
+          sendto_ops_flag(UMODE_DEBUG, 
 			      "Bad User [%s] :%s USER %s@%s %s, != %s[%s]",
 			      cptr->name, nick, sptr->username,
 			      sptr->host, user->server,
@@ -851,7 +851,7 @@
                      ":%s KILL %s :%s GHOST (no server %s on the net)",
                      me.name,
                      sptr->name, me.name, user->server);
-          sendto_realops("No server %s for user %s[%s@%s] from %s",
+          sendto_ops_flag(UMODE_SERVNOTICE,"No server %s for user %s[%s@%s] from %s",
                           user->server, sptr->name, sptr->username,
                           sptr->host, sptr->from->name);
           sptr->flags |= FLAGS_KILLED;
@@ -1191,7 +1191,7 @@
           if(sptr->number_of_nick_changes <= MAX_NICK_CHANGES)
             {
 #endif
-              sendto_realops_flag(UMODE_NCHANGE,
+              sendto_ops_flag(UMODE_NCHANGE,
 				  "Nick change: From %s to %s [%s@%s]",
 				  parv[0], nick, sptr->username,
 				  sptr->host);
@@ -1216,7 +1216,7 @@
                          me.name,
                          sptr->name,
                          MAX_NICK_TIME);
-              sendto_ops_flag_butone(NULL, UMODE_BOTS, "Flooder %s [%s@%s] on %s (nick)",
+              sendto_ops_flag(UMODE_BOTS, "Flooder %s [%s@%s] on %s (nick)",
 				     sptr->name, sptr->username, sptr->host, me.name);
 
               return 0;
@@ -1233,7 +1233,7 @@
               add_history(sptr,1);
               sendto_serv_butone(cptr, ":%s NICK %s :%lu",
                                  parv[0], nick, sptr->tsinfo);
-              sendto_realops_flag(UMODE_NCHANGE,
+              sendto_ops_flag(UMODE_NCHANGE,
 				  "Nick change: From %s to %s [%s@%s]",
 				  parv[0], nick, sptr->username,
 				  sptr->host);
@@ -1379,7 +1379,7 @@
       if (IsServer(cptr))
         {
           ServerStats->is_kill++;
-          sendto_realops_flag(UMODE_DEBUG, "Bad Nick: %s From: %s %s",
+          sendto_ops_flag(UMODE_DEBUG, "Bad Nick: %s From: %s %s",
 			      parv[1], parv[0],
 			      get_client_name(cptr, FALSE));
           sendto_one(cptr, ":%s KILL %s :%s (%s <- %s[%s])",
@@ -1400,7 +1400,7 @@
             }
         }
       else
-        sendto_ops_flag_butone(NULL, UMODE_BOTS, "Illegal nick \"%s\" from: %s %s",
+        sendto_ops_flag(UMODE_BOTS, "Illegal nick \"%s\" from: %s %s",
 			       parv[1], parv[0],
 			       get_client_name(cptr, FALSE));
       return 0;
@@ -1409,7 +1409,7 @@
   if(MyConnect(sptr) && !IsServer(sptr) && !CannotBeQlined(sptr) &&
      find_q_line(nick, sptr->username, sptr->host)) 
     {
-      sendto_realops_flag(UMODE_REJ,
+      sendto_ops_flag(UMODE_REJ,
 			  "Quarantined nick [%s] from user %s",
 			  nick,get_client_name(cptr, FALSE));
       sendto_one(sptr, form_str(ERR_ERRONEUSNICKNAME),
@@ -1449,7 +1449,7 @@
       ** there is no danger of the server being disconnected.
       ** Ultimate way to jupiter a nick ? >;-). -avalon
       */
-      sendto_realops("Nick collision on %s(%s <- %s)",
+      sendto_ops_flag(UMODE_SERVNOTICE,"Nick collision on %s(%s <- %s)",
                  sptr->name, acptr->from->name,
                  get_client_name(cptr, FALSE));
       ServerStats->is_kill++;
@@ -1519,7 +1519,7 @@
       {
         if (fromTS && !(acptr->user))
           {
-            sendto_realops("Nick Collision on %s(%s(NOUSER) <- %s!%s@%s)(TS:%s)",
+            sendto_ops_flag(UMODE_SERVNOTICE,"Nick Collision on %s(%s(NOUSER) <- %s!%s@%s)(TS:%s)",
                    acptr->name, acptr->from->name, parv[1], parv[5], parv[6],
                    cptr->name);
 
@@ -1597,7 +1597,7 @@
       if (!newts || !acptr->tsinfo
           || (newts == acptr->tsinfo))
         {
-          sendto_realops("Nick collision on %s(%s <- %s)(both killed)",
+          sendto_ops_flag(UMODE_SERVNOTICE,"Nick collision on %s(%s <- %s)(both killed)",
                      acptr->name, acptr->from->name,
                      get_client_name(cptr, FALSE));
           ServerStats->is_kill++;
@@ -1629,11 +1629,11 @@
           else
             {
               if (sameuser)
-                sendto_realops("Nick collision on %s(%s <- %s)(older killed)",
+                sendto_ops_flag(UMODE_SERVNOTICE,"Nick collision on %s(%s <- %s)(older killed)",
                            acptr->name, acptr->from->name,
                            get_client_name(cptr, FALSE));
               else
-                sendto_realops("Nick collision on %s(%s <- %s)(newer killed)",
+                sendto_ops_flag(UMODE_SERVNOTICE,"Nick collision on %s(%s <- %s)(newer killed)",
                            acptr->name, acptr->from->name,
                            get_client_name(cptr, FALSE));
               
@@ -1665,7 +1665,7 @@
   if ( !newts || !acptr->tsinfo || (newts == acptr->tsinfo) ||
       !sptr->user)
     {
-      sendto_realops("Nick change collision from %s to %s(%s <- %s)(both killed)",
+      sendto_ops_flag(UMODE_SERVNOTICE,"Nick change collision from %s to %s(%s <- %s)(both killed)",
                  sptr->name, acptr->name, acptr->from->name,
                  get_client_name(cptr, FALSE));
       ServerStats->is_kill++;
@@ -1701,11 +1701,11 @@
           (!sameuser && newts > acptr->tsinfo))
         {
           if (sameuser)
-            sendto_realops("Nick change collision from %s to %s(%s <- %s)(older killed)",
+            sendto_ops_flag(UMODE_SERVNOTICE,"Nick change collision from %s to %s(%s <- %s)(older killed)",
                        sptr->name, acptr->name, acptr->from->name,
                        get_client_name(cptr, FALSE));
           else
-            sendto_realops("Nick change collision from %s to %s(%s <- %s)(newer killed)",
+            sendto_ops_flag(UMODE_SERVNOTICE,"Nick change collision from %s to %s(%s <- %s)(newer killed)",
                        sptr->name, acptr->name, acptr->from->name,
                        get_client_name(cptr, FALSE));
           ServerStats->is_kill++;
@@ -1726,11 +1726,11 @@
       else
         {
           if (sameuser)
-            sendto_realops("Nick collision on %s(%s <- %s)(older killed)",
+            sendto_ops_flag(UMODE_SERVNOTICE,"Nick collision on %s(%s <- %s)(older killed)",
                        acptr->name, acptr->from->name,
                        get_client_name(cptr, FALSE));
           else
-            sendto_realops("Nick collision on %s(%s <- %s)(newer killed)",
+            sendto_ops_flag(UMODE_SERVNOTICE,"Nick collision on %s(%s <- %s)(newer killed)",
                        acptr->name, acptr->from->name,
                        get_client_name(cptr, FALSE));
           
@@ -1799,7 +1799,7 @@
       sendto_one(sptr, form_str(ERR_NEEDMOREPARAMS),
                  me.name, BadPtr(parv[0]) ? "*" : parv[0], "USER");
       if (IsServer(cptr))
-        sendto_realops("bad USER param count for %s from %s",
+        sendto_ops_flag(UMODE_SERVNOTICE,"bad USER param count for %s from %s",
                        parv[0], get_client_name(cptr, FALSE));
       else
         return 0;
@@ -2080,7 +2080,7 @@
       else if (IsServer(sptr))
 	ircophack = 1; /* Remote servers are trusted to set sane umodes. Illicit servers must not be allowed to attach */
       else if (IsServer(cptr))
-        sendto_ops_flag_butone(NULL, UMODE_SERVNOTICE,
+        sendto_ops_flag(UMODE_SERVNOTICE,
 			       "%s issuing MODE for User %s From %s!%s",
 			       me.name, parv[1],
 			       get_client_name(cptr, FALSE), sptr->name);
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/s_zip.c ircd-hybrid-6.0/src/s_zip.c
--- ircd-hybrid-6.0.orig/src/s_zip.c	Fri Nov 24 18:24:37 2000
+++ ircd-hybrid-6.0/src/s_zip.c	Tue Jun 19 16:50:16 2001
@@ -191,7 +191,7 @@
                * there is more uncompressed data to do, and dopacket()
                * will not return until its all parsed. -db
                */
-              sendto_realops("Overflowed unzipbuf increase UNZIP_BUFFER_SIZE");
+              sendto_ops_flag(UMODE_SERVNOTICE,"Overflowed unzipbuf increase UNZIP_BUFFER_SIZE");
               /*
                * I used to just give up here....
                * length = -1;
@@ -260,7 +260,7 @@
     case Z_BUF_ERROR:
       if (zin->avail_out == 0)
         {
-          sendto_realops("inflate() returned Z_BUF_ERROR: %s",
+          sendto_ops_flag(UMODE_SERVNOTICE,"inflate() returned Z_BUF_ERROR: %s",
                       (zin->msg) ? zin->msg : "?");
           *length = -1;
         }
@@ -283,7 +283,7 @@
 
     default: /* error ! */
       /* should probably mark link as dead or something... */
-      sendto_realops("inflate() error(%d): %s", r,
+      sendto_ops_flag(UMODE_SERVNOTICE,"inflate() error(%d): %s", r,
                   (zin->msg) ? zin->msg : "?");
       *length = -1; /* report error condition */
       break;
@@ -333,14 +333,14 @@
       if (zout->avail_in)
         {
           /* can this occur?? I hope not... */
-          sendto_realops("deflate() didn't process all available data!");
+          sendto_ops_flag(UMODE_SERVNOTICE,"deflate() didn't process all available data!");
         }
       cptr->zip->outcount = 0;
       *length = ZIP_BUFFER_SIZE - zout->avail_out;
       return zipbuf;
 
     default: /* error ! */
-      sendto_realops("deflate() error(%d): %s", r, (zout->msg) ? zout->msg : "?");
+      sendto_ops_flag(UMODE_SERVNOTICE,"deflate() error(%d): %s", r, (zout->msg) ? zout->msg : "?");
       *length = -1;
       break;
     }
